org.apache.ignite.binary

## Interface BinaryRawReader

All Known Subinterfaces:
  BinaryRawReaderEx

All Known Implementing Classes:
  BinaryReaderExImpl

    public interface BinaryRawReader

Raw reader for binary objects. Raw reader does not use field name hash codes, therefore, making the format even more compact. However, if the raw reader is used, dynamic structure changes to the binary objects are not supported.

### Method Summary

Methods
`boolean` `readBoolean()`
`boolean[]` `readBooleanArray()`
`byte` `readByte()`
`byte[]` `readByteArray()`
`char` `readChar()`
`char[]` `readCharArray()`
`<T> Collection<T>` `readCollection()`
`<T> Collection<T>` `readCollection(BinaryCollectionFactory<T> factory)`
`Date` `readDate()`
`Date[]` `readDateArray()`
`BigDecimal` `readDecimal()`
`BigDecimal[]` `readDecimalArray()`
`double` `readDouble()`
`double[]` `readDoubleArray()`
`<T extends Enum<?>> T` `readEnum()`
`<T extends Enum<?>> T[]` `readEnumArray()`
`float` `readFloat()`
`float[]` `readFloatArray()`
`int` `readInt()`
`int[]` `readIntArray()`
`long` `readLong()`
`long[]` `readLongArray()`
`<K,V> Map<K,V>` `readMap()`
`<K,V> Map<K,V>` `readMap(BinaryMapFactory<K,V> factory)`
`<T> T` `readObject()`
`Object[]` `readObjectArray()`
`short` `readShort()`
`short[]` `readShortArray()`
`String` `readString()`
`String[]` `readStringArray()`
`Timestamp` `readTimestamp()`
`Timestamp[]` `readTimestampArray()`
`UUID` `readUuid()`
`UUID[]` `readUuidArray()`

### Method Detail

#### readByte

    byte readByte()
                  throws BinaryObjectException

Returns:
  Byte value.
Throws:
  `BinaryObjectException` - In case of error.

#### readShort

    short readShort()
                    throws BinaryObjectException

Returns:
  Short value.
Throws:
  `BinaryObjectException` - In case of error.

#### readInt

    int readInt()
                throws BinaryObjectException

Returns:
  Integer value.
Throws:
  `BinaryObjectException` - In case of error.

#### readLong

    long readLong()
                  throws BinaryObjectException

Returns:
  Long value.
Throws:
  `BinaryObjectException` - In case of error.

#### readFloat

    float readFloat()
                    throws BinaryObjectException

Returns:
  Float value.
Throws:
  `BinaryObjectException` - In case of error.

#### readDouble

    double readDouble()
                      throws BinaryObjectException

Returns:
  Double value.
Throws:
  `BinaryObjectException` - In case of error.

#### readChar

    char readChar()
                  throws BinaryObjectException

Returns:
  Char value.
Throws:
  `BinaryObjectException` - In case of error.

#### readBoolean

    boolean readBoolean()
                        throws BinaryObjectException

Returns:
  Boolean value.
Throws:
  `BinaryObjectException` - In case of error.

#### readDecimal

    @Nullable
    BigDecimal readDecimal()
                           throws BinaryObjectException

Returns:
  Decimal value.
Throws:
  `BinaryObjectException` - In case of error.

#### readString

    @Nullable
    String readString()
                      throws BinaryObjectException

Returns:
  String value.
Throws:
  `BinaryObjectException` - In case of error.

#### readUuid

    @Nullable
    UUID readUuid()
                  throws BinaryObjectException

Returns:
  UUID.
Throws:
  `BinaryObjectException` - In case of error.

#### readDate

    @Nullable
    Date readDate()
                  throws BinaryObjectException

Returns:
  Date.
Throws:
  `BinaryObjectException` - In case of error.

#### readTimestamp

    @Nullable
    Timestamp readTimestamp()
                            throws BinaryObjectException

Returns:
  Timestamp.
Throws:
  `BinaryObjectException` - In case of error.

#### readObject

    @Nullable
    <T> T readObject()
                 throws BinaryObjectException

Returns:
  Object.
Throws:
  `BinaryObjectException` - In case of error.

#### readByteArray

    @Nullable
    byte[] readByteArray()
                         throws BinaryObjectException

Returns:
  Byte array.
Throws:
  `BinaryObjectException` - In case of error.

#### readShortArray

    @Nullable
    short[] readShortArray()
                           throws BinaryObjectException

Returns:
  Short array.
Throws:
  `BinaryObjectException` - In case of error.

#### readIntArray

    @Nullable
    int[] readIntArray()
                       throws BinaryObjectException

Returns:
  Integer array.
Throws:
  `BinaryObjectException` - In case of error.

#### readLongArray

    @Nullable
    long[] readLongArray()
                         throws BinaryObjectException

Returns:
  Long array.
Throws:
  `BinaryObjectException` - In case of error.

#### readFloatArray

    @Nullable
    float[] readFloatArray()
                           throws BinaryObjectException

Returns:
  Float array.
Throws:
  `BinaryObjectException` - In case of error.

#### readDoubleArray

    @Nullable
    double[] readDoubleArray()
                             throws BinaryObjectException

Returns:
  Byte array.
Throws:
  `BinaryObjectException` - In case of error.

#### readCharArray

    @Nullable
    char[] readCharArray()
                         throws BinaryObjectException

Returns:
  Char array.
Throws:
  `BinaryObjectException` - In case of error.

#### readBooleanArray

    @Nullable
    boolean[] readBooleanArray()
                               throws BinaryObjectException

Returns:
  Boolean array.
Throws:
  `BinaryObjectException` - In case of error.

#### readDecimalArray

    @Nullable
    BigDecimal[] readDecimalArray()
                                  throws BinaryObjectException

Returns:
  Decimal array.
Throws:
  `BinaryObjectException` - In case of error.

#### readStringArray

    @Nullable
    String[] readStringArray()
                             throws BinaryObjectException

Returns:
  String array.
Throws:
  `BinaryObjectException` - In case of error.

#### readUuidArray

    @Nullable
    UUID[] readUuidArray()
                         throws BinaryObjectException

Returns:
  UUID array.
Throws:
  `BinaryObjectException` - In case of error.

#### readDateArray

    @Nullable
    Date[] readDateArray()
                         throws BinaryObjectException

Returns:
  Date array.
Throws:
  `BinaryObjectException` - In case of error.

#### readTimestampArray

    @Nullable
    Timestamp[] readTimestampArray()
                                   throws BinaryObjectException

Returns:
  Timestamp array.
Throws:
  `BinaryObjectException` - In case of error.

#### readObjectArray

    @Nullable
    Object[] readObjectArray()
                             throws BinaryObjectException

Returns:
  Object array.
Throws:
  `BinaryObjectException` - In case of error.

#### readCollection

    @Nullable
    <T> Collection<T> readCollection()
                                 throws BinaryObjectException

Returns:
  Collection.
Throws:
  `BinaryObjectException` - In case of error.

#### readCollection

    @Nullable
    <T> Collection<T> readCollection(BinaryCollectionFactory<T> factory)
                                 throws BinaryObjectException

Parameters:
  `factory` - Collection factory.
Returns:
  Collection.
Throws:
  `BinaryObjectException` - In case of error.

#### readMap

    @Nullable
    <K,V> Map<K,V> readMap()
                     throws BinaryObjectException

Returns:
  Map.
Throws:
  `BinaryObjectException` - In case of error.

#### readMap

    @Nullable
    <K,V> Map<K,V> readMap(BinaryMapFactory<K,V> factory)
                     throws BinaryObjectException

Parameters:
  `factory` - Map factory.
Returns:
  Map.
Throws:
  `BinaryObjectException` - In case of error.

#### readEnum

    @Nullable
    <T extends Enum<?>> T readEnum()
                            throws BinaryObjectException

Returns:
  Value.
Throws:
  `BinaryObjectException` - In case of error.

#### readEnumArray

    @Nullable
    <T extends Enum<?>> T[] readEnumArray()
                                   throws BinaryObjectException

Returns:
  Value.
Throws:
  `BinaryObjectException` - In case of error.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017